# jquery.tabulation.js
One of simpliest jQuery plugins to include tabulation into your project

[![npm version](https://badge.fury.io/js/%40suslov%2Fjquery.tabulation.svg)](https://badge.fury.io/js/%40suslov%2Fjquery.tabulation)

## Requirements
* jQuery

## Installation

**npm**

> npm i @suslov/jquery.tabulation

**Old school**

> Download a library from dist/ folder

## How to use

__Check dist/index.html for example__

1. Create HTML structure

```html
<div class="js-tabulation" data-tabulation-id="first"> <!-- Container -->

  <!-- Content -->
  <span data-tabulation-ref="first" data-tabulation-tab="1">Tab with index "1"</span>
  <span data-tabulation-ref="first" data-tabulation-tab="2">Tab with index "2"</span>
  <span data-tabulation-ref="first" data-tabulation-tab="3">Tab with index "3"</span>

  <!-- Navigation -->
  <span data-tabulation-ref="first" data-tabulation-nav="1">First</span>
  <span data-tabulation-ref="first" data-tabulation-nav="2">Second</span>
  <span data-tabulation-ref="first" data-tabulation-nav="3">Third</span>

</div>
```

2. Initialize script

Simple
```javascript
$('.js-tabulation').tabulation();
```

Options
```javascript
$('.js-tabulation').tabulation({
  default: undefined, // Default tab to enable on startup
  nav: 'active', // Class for navigation if active
  tab: 'active', // Class for tab if active
  beforeSet: undefined, // Function before tab changed. Stops if return false
  afterSet: undefined // Function called after active tab changed
});
```