const
  gulp = require('gulp'),
  rename = require('gulp-rename'),
  header = require('gulp-header'),
  terser = require('gulp-terser'),
  babel = require('gulp-babel'),
  pkg = require('./package.json');

const banner = [
  `// ====================================================`,
  `//  jquery.tabulation v${pkg.version}`,
  `//  Licensed by MIT`,
  `//  https://github.com/ruastronaut/jquery.tabulation`,
  `//  Copyright ${new Date().getFullYear()} @ruastronaut`,
  `// ====================================================`,
  ``
  ].join("\n");

gulp.task('build', () => {
  return gulp.src('src/jquery.tabulation.js')
    
    // es6
    .pipe(header(banner), {pkg: pkg})
    .pipe(rename({basename: 'jquery.tabulation.es6'}))
    .pipe(gulp.dest('dist'))
    
    // es6 min
    .pipe(terser())
    .pipe(header(banner), {pkg: pkg})
    .pipe(rename({basename: 'jquery.tabulation.es6.min'}))
    .pipe(gulp.dest('dist'))
    
    // es5
    .pipe(babel({
      presets: ['@babel/env']
    }))
    .pipe(rename({basename: 'jquery.tabulation'}))
    .pipe(gulp.dest('dist'))
    
    // es5 min
    .pipe(rename({basename: 'jquery.tabulation.min'}))
    .pipe(terser())
    .pipe(header(banner), {pkg: pkg})
    .pipe(gulp.dest('dist'))
});